Bug 237896 - netbeans 4 cannot run glassfish
netbeans 4 cannot run glassfish
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: GlassFish
7.4
PC Windows 7
: P3 (vote)
: TBD
Assigned To: TomasKraus
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 15:24 UTC by sertan76
Modified: 2013-12-08 11:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (86.60 KB, text/plain)
2013-11-01 15:24 UTC, sertan76
Details
screen shot (129.72 KB, image/jpeg)
2013-11-13 12:28 UTC, sertan76
Details
new ide log (164.19 KB, text/plain)
2013-11-14 09:08 UTC, sertan76
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sertan76 2013-11-01 15:24:05 UTC
Product Version = NetBeans IDE 7.4 (Build 201310111528)
Operating System = Windows 7 version 6.1 running on x86
Java; VM; Vendor = 1.7.0_17
Runtime = Java HotSpot(TM) Client VM 23.7-b01

I cannot run glassfish 3.1.2.2 or 4.0. What is the problem.
Comment 1 sertan76 2013-11-01 15:24:10 UTC
Created attachment 141783 [details]
IDE log
Comment 2 TomasKraus 2013-11-04 10:28:24 UTC
How did you start servers and what was happening after that?
Comment 3 sertan76 2013-11-04 21:35:36 UTC
I tried two ways one is select server run and other is create web project with glassfish and run but both of them is not started glassfish.it is weird because does not any situation at glassfish. Did you try to run glassfish with netbeans 4
Comment 4 Stepan Zebra 2013-11-12 14:17:57 UTC
Unable to reproduce on default settings. Can you please attach a server.log files from the failed startups? Also are you able to start those servers outside NB?
Comment 5 sertan76 2013-11-13 12:28:23 UTC
Created attachment 142128 [details]
screen shot

I click run button but nothing happens on glassfish you can see with attachment
Comment 6 TomasKraus 2013-11-13 12:46:49 UTC
This looks like GF process was not started at all. You can add -J-Dglassfish.level=0 -J-Dorg.glassfish.tools.ide.level=0 into netbeans_default_options in your netbeans.conf file to turn finest logging of GF plugin and tooling library on. It will produce nice logs of whole start task and following process status monitoring.

I'm still thinking about doing one more change in StartTask to use asadmin instead of direct GF process execution. But unfortunately I have to work on another task now. :(
Comment 7 sertan76 2013-11-14 09:00:28 UTC
I added your advice and this is result. So glassfish doesnt work.

INFO: Running GlassFish Version: GlassFish Server Open Source Edition 3.1.2.2 (build 5)
INFO: Registered org.glassfish.ha.store.adapter.cache.ShoalBackingStoreProxy for persistence-type = replicated in BackingStoreFactoryRegistry
INFO: Grizzly Framework 1.9.50 started in: 434ms - bound to [0.0.0.0:7676]
INFO: Grizzly Framework 1.9.50 started in: 494ms - bound to [0.0.0.0:8080]
INFO: Grizzly Framework 1.9.50 started in: 459ms - bound to [0.0.0.0:4848]
INFO: Grizzly Framework 1.9.50 started in: 469ms - bound to [0.0.0.0:8181]
INFO: Grizzly Framework 1.9.50 started in: 443ms - bound to [0.0.0.0:3700]
INFO: GlassFish Server Open Source Edition 3.1.2.2 (5) startup time : Felix (40,748ms), startup services(3,251ms), total(43,999ms)
INFO: HV000001: Hibernate Validator 4.3.0.Final
INFO: Grizzly Framework 1.9.50 started in: 43ms - bound to [0.0.0.0:8080]
INFO: unable to read instance state file E:\programs\glassfish-3.1.2.2\glassfish3\glassfish\domains\domain1\config\.instancestate, recreating
INFO: Grizzly Framework 1.9.50 started in: 2ms - bound to [0.0.0.0:8181]
INFO: JMX005: JMXStartupService had Started JMXConnector on JMXService URL service:jmx:rmi://SERTAN.teknoadsl.teknobil.com:8686/jndi/rmi://SERTAN.teknoadsl.teknobil.com:8686/jmxrmi
INFO: Domain Pinged: stable.glassfish.org
INFO: Server shutdown initiated
INFO: JMX002: JMXStartupService: Stopped JMXConnectorServer: null
INFO: JMX001: JMXStartupService and JMXConnectors have been shut down.
INFO: Shutdown procedure finished
Comment 8 sertan76 2013-11-14 09:08:56 UTC
Created attachment 142169 [details]
new ide log

I added netbeans ide log.You can see with attchement.
Comment 9 TomasKraus 2013-11-14 10:29:57 UTC
Problem is seen in the IDE log after "DOMAIN.XML: jvm opt:" lines:
INFO [org.glassfish.tools.ide.admin.RunnerJava]: "Java VM C:\Program Files\Java\jdk1.7.0_45\bin\java executable was not found"
WARNING [org.glassfish.tools.ide.GlassFishIdeException]: Caught GlassFishIdeException: No suitable Java VM executable found in C:\Program Files\Java\jdk1.7.0_45 for GlassFish Server 3.1.2.2

Please check your JDK in C:\Program Files\Java\jdk1.7.0_45 and verify if there is bin\java inside.
Also it looks bad that there are lashes instead of backslashes in windows path. But think it works both way in Windows.

I'll try to put JDK 7 into the same path on some windows to reproduce it.
Comment 10 sertan76 2013-11-14 10:52:38 UTC
There is a java executable in C:\Program Files\Java\jdk1.7.0_45\bin directory.
Comment 11 auzanulu 2013-12-06 12:12:08 UTC
Hi Sertan. This problem is about netbeans default options. If you add "--locale en" to the Program Files>Netbeans>etc>netbeans.conf then server will start without  any problem.
Comment 12 TomasKraus 2013-12-06 12:35:01 UTC
Huh, but why locale changes behaviour of files handling?
Comment 13 auzanulu 2013-12-06 14:10:09 UTC
I don't know certainly but it can be turkish locales. Turkish letters cause problems maybe.
Comment 14 sertan76 2013-12-06 21:29:05 UTC
(In reply to auzanulu from comment #13)
> I don't know certainly but it can be turkish locales. Turkish letters cause
> problems maybe.

Thank you so much .


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo